import { AppRegistry } from 'react-native';
import { exceptionHandler } from '~/lib/services';
import App from '~/App';
import codePush from 'react-native-code-push';
import { name as appName } from './app.json';

if (!__DEV__) {
	exceptionHandler.setJsExceptionHandler();
}

const AppWithCodePush = codePush(App);
AppRegistry.registerComponent(appName, () => AppWithCodePush);
